=== debian/changelog ===
aegean (0.13.0+dfsg-1) unstable; urgency=low

  * New upstream release. 

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 28 Jul 2015 08:50:09 +0000

aegean (0.10.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #769162)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 11 Nov 2014 11:14:11 +0000
