=== debian/control ===
Source: aegean
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libcairo2-dev,
               libgenometools0-dev,
               python,
               git
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/aegean/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/aegean/trunk/
Homepage: http://standage.github.io/AEGeAn

Package: aegean
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-mootools,
         libgenometools0
Description: integrated genome analysis toolkit
 The AEGeAn Toolkit is designed for the Analysis and Evaluation of Genome
 Annotations. The toolkit includes a variety of analysis programs, e.g. for
 comparing distinct sets of gene structure annotations (ParsEval), computation
 of gene loci (LocusPocus) and more.

Package: aegean-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         aegean (= ${binary:Version})
Description: integrated genome analysis toolkit, with debug symbols
 This package contains debug information stripped from AEGeAn.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.
