## aegean 0.15.1%2Bdfsg

=== debian/changelog ===
aegean (0.15.1+dfsg-3) unstable; urgency=low

  [ Jon Ison, Steffen Moeller, Sascha Steinbiss ]
  * Added EDAM annotation.

  [ Sascha Steinbiss ]
  * Migrate package to Git

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 07 Feb 2016 08:55:37 +0000

aegean (0.15.1+dfsg-2) unstable; urgency=medium

  * Remove broken archs, as revealed by newly added tests.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 09 Jan 2016 18:28:59 +0000

aegean (0.15.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 09 Jan 2016 14:16:31 +0000

aegean (0.14.1+dfsg2-2) unstable; urgency=low

  * d/rules: build w/o parallelism, set LC_ALL
  * patch Makefile to remove nondeterminism

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 29 Nov 2015 19:19:01 +0000

aegean (0.14.1+dfsg2-1) unstable; urgency=medium

  * Exclude DataTables JS source, add Depends to new package
    Closes: #798900
  * Remove now redundant Lintian override

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 27 Nov 2015 22:35:59 +0000

aegean (0.14.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 10 Oct 2015 09:43:34 +0000
