=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[~-].*//')
 OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
 export DESTDIR=$(CURDIR)/debian/tmp
+export LC_ALL=C.UTF-8
 
 BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
 ifeq ($(BITS),64)
@@ -15,13 +16,13 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
-	dh_auto_build --parallel -- prefix=$(DESTDIR) 64bit=$(64BIT) errorcheck=no
+	dh_auto_build -- prefix=$(DESTDIR) 64bit=$(64BIT) errorcheck=no
 
 override_dh_auto_test:
-	#dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5
+	dh_auto_test -- useshared=yes 64bit=$(64BIT) testthreads=5
 
 override_dh_auto_install:
 	dh_auto_install -- 64bit=$(64BIT) prefix=$(DESTDIR)
