=== debian/tests/control ===
Tests: functional-tests
Depends: @, python
