## aegean 0.15.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
                python,
                git
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/aegean/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/aegean/trunk/
+Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/aegean.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/aegean.git
 Homepage: http://standage.github.io/AEGeAn
 
 Package: aegean
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libjs-jquery,
+         libjs-jquery-datatables,
          libjs-mootools,
          libgenometools0
 Description: integrated genome analysis toolkit
@@ -27,7 +29,7 @@
  of gene loci (LocusPocus) and more.
 
 Package: aegean-dbg
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 x32
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends},
