## aegean 0.15.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #---Begin configuration---#
 #---Begin configuration---#
 
-prefix=/usr/local
+prefix?=/usr/local
 
 #----End configuration----#
 #----End configuration----#
@@ -23,7 +23,7 @@
 #----- Source, header, and object files -----#
 
 # AEGeAn core class and module files
-AGN_SRCS=$(wildcard src/core/Agn*.c)
+AGN_SRCS=$(sort $(wildcard src/core/Agn*.c))
 AGN_OBJS=$(patsubst src/core/%.c,obj/%.o,$(AGN_SRCS))
 AGN_HDRS=$(patsubst src/core%.c,inc/core/%.h,$(AGN_SRCS))
 
@@ -34,6 +34,7 @@
 ifeq ($(cairo),no)
   CFLAGS += -DWITHOUT_CAIRO
   GTFLAGS += cairo=no
+  CAIROFT=cairo=no
 endif
 ifneq ($(errorcheck),no)
   CFLAGS += -Werror
@@ -48,7 +49,7 @@
 ifneq ($(debug),no)
   CFLAGS += -g
 endif
-LDFLAGS=-lgenometools -lm \
+LDFLAGS=-lgenometools -lm -ldl \
         -L$(prefix)/lib \
         -L/usr/local/lib
 ifdef lib
@@ -63,6 +64,8 @@
                     --suppressions=data/misc/libpixman.supp \
                     --suppressions=data/misc/libpango.supp
   MEMCHECKFT=memcheck
+else
+  MEMCHECKFT=nomemcheck
 endif
 
 # Targets
@@ -155,7 +158,7 @@
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
-		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose --idformat=GrapeLocus%03lu data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
+		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --skipends --verbose --namefmt=GrapeLocus%03lu data/gff3/grape-refr.gff3 data/gff3/grape-pred.gff3
 		@ $(MEMCHECK) bin/locuspocus --outfile=/dev/null --verbose data/gff3/dmel-pseudofeat-sort-test-in.gff3 2> >(grep -v 'not unique')
 		@ $(MEMCHECK) bin/tidygff3 < data/gff3/grape-refr.gff3 > /dev/null
 		@ echo AEGeAn Functional Tests
@@ -165,7 +168,7 @@
 		@ test/xtractore-ft.sh $(MEMCHECKFT)
 		@ test/canon-gff3-ft.sh $(MEMCHECKFT)
 		@ test/gaeval-ft.sh $(MEMCHECKFT)
-		@ test/AmelOGSvsNCBI.sh $(MEMCHECKFT)
+		@ test/AmelOGSvsNCBI.sh $(MEMCHECKFT) $(CAIROFT)
 		@ test/align-convert.sh
 		@ test/misc-ft.sh $(MEMCHECKFT)
