=== debian/changelog ===
aegean (0.15.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop patches applied upstream.
  * Add override for pedantic Lintian msg.
  * d/watch: make watchfile more robust
  * d/rules: drop unneeded get-orig-source target
  * d/rules: enable full hardening
  * d/rules: use DEB_TARGET_ARCH_BITS
  * d/control: bump standards version

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 20 Mar 2016 11:31:05 +0000
