=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libgenometools0-dev,
                python,
                git
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/aegean.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/aegean.git
