=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 OVERSION := $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[+].*//')
 export DESTDIR=$(CURDIR)/debian/tmp
 export LC_ALL=C.UTF-8
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
+BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')
 ifeq ($(BITS),64)
   64BIT:=yes
 else
@@ -33,7 +34,3 @@
 override_dh_installdocs:
 	cp $(CURDIR)/README.md $(CURDIR)/README
 	dh_installdocs
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz --destdir=..
-	mv ../aegean_$(OVERSION).orig.tar.xz ../aegean_$(VERSION).orig.tar.xz
