=== debian/changelog ===
aegean (0.16.0+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 06 Oct 2025 21:27:09 +0200

aegean (0.16.0+dfsg-5~exp0) experimental; urgency=medium

  [ Dandan Zhang ]
  * Append loong64 support in d/control.
    Closes: #1109688
  * Do not use -m64 CFLAGS on loongarch64.

  [ Sascha Steinbiss ]
  * Bump Standards-Version.
  * Fix building with GCC 15.
    Closes: #1096281

 -- Sascha Steinbiss <satta@debian.org>  Fri, 01 Aug 2025 14:42:11 +0200

aegean (0.16.0+dfsg-4) unstable; urgency=medium

  * Remove explicit runtime dependency on libgenometools0.
    Closes: #1068178
  * Add d/copyright information for debian/ directory.
  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.
  * Update debhelper compat level to 13.
  * Only list files not installed.
  * Adjust renamed lintian tag overrides.
  * Bump watchfile version to 4.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 01 Apr 2024 19:49:51 +0200

aegean (0.16.0+dfsg-3) unstable; urgency=medium

  * Ensure multiple builds can be done in same directory.
    Done by ensuring the directory is cleaned correctly.
    Closes: #1043943

 -- Sascha Steinbiss <satta@debian.org>  Wed, 15 Nov 2023 11:32:13 +0100

aegean (0.16.0+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.

  [ Andreas Tille ]
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Do not parse d/changelog
  * Use 2to3 to convert from Python2 to Python3
    Closes: #936109
  * Drop git from Build-Depends
  * Drop redundant debian/README.source
  * debhelper-compat 12
  * Use secure URI in Homepage field.
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 09 Sep 2019 18:52:15 +0200

aegean (0.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update watchfile to reflect move to BrendelGroup org.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 05 Oct 2018 18:03:42 +0200

aegean (0.15.2+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix and adjust upstream metadata.

  [ Steffen Moeller ]
  * Fix EDAM annotations.

  [ Sascha Steinbiss ]
  * Update Uploader email address.
  * Use debhelper 11.
  * Use secure d/copyright format link.
  * Bump Standards-Version.
  * Update Vcs-* fields with Salsa addresses.
  * Replace priority extra with optional.
  * Remove unnecessary Testsuite field.
  * Drop unused patch files.
  * Drop -dbg package.
  * Fix naming of lintian override.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 04 Jul 2018 18:20:29 +0200
