=== debian/control ===
Source: aegean
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libgenometools0-dev,
               python3
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/aegean
Vcs-Git: https://salsa.debian.org/med-team/aegean.git
Homepage: https://standage.github.io/AEGeAn

Package: aegean
Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x hurd-i386 kfreebsd-amd64 kfreebsd-i386 ppc64 x32 loong64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libjs-jquery,
         libjs-jquery-datatables,
         libjs-mootools
Description: integrated genome analysis toolkit
 The AEGeAn Toolkit is designed for the Analysis and Evaluation of Genome
 Annotations. The toolkit includes a variety of analysis programs, e.g. for
 comparing distinct sets of gene structure annotations (ParsEval), computation
 of gene loci (LocusPocus) and more.
